upmpdcli (1.5.19-1.1+3.14) stable; urgency=low

  * version number update by debtransform

 -- debtransform <build@opensuse.org>  Sat, 17 May 2025 11:02:29 +0000

upmpdcli (1.5.13-1~ppaPPAVERS~stable1) stable; urgency=low

  * Enable L16 by default as it is handled correctly by current mpd versions
  * Add the mpd version to the description version string
  * Change Qobuz default format to 6
  * Misc small bug fixes
  
 -- Jean-Francois Dockes <jf@dockes.org>  Wed, 13 Oct 2021 10:38:00 +0200

upmpdcli (1.5.12-1~ppaPPAVERS~stable1) stable; urgency=low

  * Add small Media Server plugin (upradios) for exporting the radio list.
  * uprcl: export the radio list as a playlist
  * uprcl: small improvements
  * Deezer, Qobuz: set pictures for artists and playlists
  
 -- Jean-Francois Dockes <jf@dockes.org>  Thu, 22 Apr 2021 09:48:00 +0200

upmpdcli (1.5.11-1~ppaPPAVERS~stable1) stable; urgency=low

  * Fix possible issue when volume controlled from Kazoo
  
 -- Jean-Francois Dockes <jf@dockes.org>  Sat, 13 Mar 2021 14:15:00 +0100

upmpdcli (1.5.10-1~ppaPPAVERS~stable1) stable; urgency=low

  * Repair event loop after mpd restart.
  
 -- Jean-Francois Dockes <jf@dockes.org>  Wed, 01 Mar 2021 15:34:00 +0100

upmpdcli (1.5.9-1~ppaPPAVERS~stable1) stable; urgency=low

  * Fixed events not working when mpd password was set
  * Mediaserver support for Deezer
  * Mediaserver: improved caching, improved uprcl local media module.
  
 -- Jean-Francois Dockes <jf@dockes.org>  Wed, 24 Feb 2021 11:19:00 +0100

upmpdcli (1.5.8-1~ppaPPAVERS~stable1) stable; urgency=low

  * Fix a number of memory leak and locking issues detected by valgrind/helgrind
  * Improve performance of big playlist insert by rate-limiting events.
  * Fix possible crash when started while mpd is not running.
  
 -- Jean-Francois Dockes <jf@dockes.org>  Sun, 10 Jan 2021 19:24:00 +0100

upmpdcli (1.5.7-1~ppaPPAVERS~stable1) stable; urgency=low

  * OHInfo issue resulted in no album art display in kazoo "now playing" screen
  * Pause/Unpause caused by other controller was not detected if the pause
    was long enough for the mpd connection to time out (60S).
    
 -- Jean-Francois Dockes <jf@dockes.org>  Wed, 30 Dec 2020 15:24:00 +0100

upmpdcli (1.5.6-1~ppaPPAVERS~stable1) stable; urgency=low

  * OHPlaylist insert: use locking when updating the metadata cache to
    avoid races with mpd events.
  * OHRadio/OHinfo: try to ensure that transport events are emitted before
    metadata ones.

 -- Jean-Francois Dockes <jf@dockes.org>  Thu, 24 Dec 2020 16:54:00 +0100

upmpdcli (1.5.5-1~ppaPPAVERS~stable1) stable; urgency=low

  * More small radio channels metadata adjustments for improving
    interoperation with Bubble DS.
  
 -- Jean-Francois Dockes <jf@dockes.org>  Mon, 07 Dec 2020 18:00:00 +0100

upmpdcli (1.5.4-1~ppaPPAVERS~stable1) stable; urgency=low

  * Fix radio channels metadata production.
  
 -- Jean-Francois Dockes <jf@dockes.org>  Sat, 05 Dec 2020 09:51:00 +0100

upmpdcli (1.5.3-1~ppaPPAVERS~stable1) stable; urgency=low

  * Fix issue with removing tracks from the playlist.
  * Fix bad locking causing multiple execs of radio scripts.
  
 -- Jean-Francois Dockes <jf@dockes.org>  Tue, 01 Dec 2020 18:15:00 +0100

upmpdcli (1.5.2-1~ppaPPAVERS~stable1) stable; urgency=low

  * Fix crash, Lumin, Qobuz
  
 -- Jean-Francois Dockes <jf@dockes.org>  Tue, 24 Nov 2020 18:15:00 +0100

upmpdcli (1.5.1-1~ppaPPAVERS~stable1) stable; urgency=low

  * Fix lacking subscription of OHInfo resulting in missing metadata
  
 -- Jean-Francois Dockes <jf@dockes.org>  Sun, 22 Nov 2020 19:12:00 +0100

upmpdcli (1.5.0-1~ppaPPAVERS~stable1) stable; urgency=low

  * Separate the OpenHome and UPnP/AV UPnP devices.
  * New event management method allows more timely generation
    of events and no process activity whatsoever when not playing.
  * Add off by default configuration options for L16 support and IPV6 operation.
  * Remove the gmusic plugin from the documentation and distribution.
  
 -- Jean-Francois Dockes <jf@dockes.org>  Sun, 15 Nov 2020 12:40:00 +0100

upmpdcli (1.4.14-1~ppaPPAVERS~stable1) stable; urgency=low

  * Fix build for microhttpd versions 0.9.71 and later (MHD_Result enum)
  
 -- Jean-Francois Dockes <jf@dockes.org>  Wed, 02 Sep 2020 08:28:00 +0100

upmpdcli (1.4.12-1~ppaPPAVERS~stable1) stable; urgency=low

  * Fix some AVT events metadata emitted while Playlist is active
  * New HighResAudio streaming service media server plugin
  * Misc small fixes
  
 -- Jean-Francois Dockes <jf@dockes.org>  Fri, 12 Jun 2020 13:47:00 +0100

upmpdcli (1.4.10-1~ppaPPAVERS~stable1) stable; urgency=low

  * Update tidal token and set it in ohcredentials Get data to help bubble
    discriminate working and non-working versions.

 -- Jean-Francois Dockes <jf@dockes.org>  Sun, 17 May 2020 10:42:00 +0100

upmpdcli (1.4.9-1~ppaPPAVERS~stable1) stable; urgency=low

  * Support gmusic oauth login
  * Fix Radio Paradise meta fetching script
  * Fix umpdcli-config
  * Fix error case in Tidal module
  * Set appid in OHcreds Get response
  * Other small fixes.

 -- Jean-Francois Dockes <jf@dockes.org>  Sat, 26 Apr 2020 12:22:00 +0100

upmpdcli (1.4.7-1~ppaPPAVERS~stable1) stable; urgency=low

  * Fix previous fix for resetting mpd single mode on playlist init. The
    previous method confused Kazoo.
    
 -- Jean-Francois Dockes <jf@dockes.org>  Wed, 26 Feb 2020 13:38:00 +0100

upmpdcli (1.4.6-1~ppaPPAVERS~stable1) stable; urgency=low

  * Depend on libupnpp6. Would still build and run with libupnpp5
  * Misc small improvements (esp in radio scripts and radio source).
    
 -- Jean-Francois Dockes <jf@dockes.org>  Wed, 29 Jan 2020 09:21:00 +0100

upmpdcli (1.4.5-1~ppaPPAVERS~stable1) stable; urgency=low

  * Fixed some memory leaks in the spotify plugin
  * Move the qobuz app_key/secret from the code to the configuration.
    
 -- Jean-Francois Dockes <jf@dockes.org>  Tue, 15 Oct 2019 18:04:00 +0200

upmpdcli (1.4.4-1~ppaPPAVERS~stable1) stable; urgency=low

  * Fix the "Improvement in radio stream title detection": it broke OHPlaylist
    
 -- Jean-Francois Dockes <jf@dockes.org>  Mon, 16 Sep 2019 11:51:00 +0200

upmpdcli (1.4.3-1~ppaPPAVERS~stable1) stable; urgency=low

  * Allow setting Spotify preferred bitrate
  * Improvement in radio stream title detection
  * experimental uprcl: bundle bottle.py with the package as the generally
    distributed 0.12 is not recent enough. Other improvements.
  * Misc small fixes
    
 -- Jean-Francois Dockes <jf@dockes.org>  Fri, 13 Sep 2019 16:35:00 +0200

upmpdcli (1.4.2-1~ppaPPAVERS~stable1) stable; urgency=low

  * Small bug fixes
  
 -- Jean-Francois Dockes <jf@dockes.org>  Thu, 28 Mar 2019 09:30:00 +0100

upmpdcli (1.4.1-1~ppaPPAVERS~stable1) stable; urgency=low

  * Fix bug in Spotify plugin
  
 -- Jean-Francois Dockes <jf@dockes.org>  Wed, 13 Feb 2019 17:17:00 +0100

upmpdcli (1.4.0-2~ppaPPAVERS~stable1) stable; urgency=low

  * Add forgotten MS-description.xml file
  
 -- Jean-Francois Dockes <jf@dockes.org>  Sat, 19 Jan 2019 17:00:00 +0100

upmpdcli (1.4.0-1~ppaPPAVERS~stable1) stable; urgency=low

  * Save the current radio settings across restarts.
  * Add the avtautoplay config variable to accommodate a non-conformant
    Control Point which does not issue a Play command after SetAVTransportURI.
  * Add mpdtimeoutms variable to configure MPD connections timeouts.
  * Use Python 3 for all scripts
  * gmusic: cache some data locally to improve performance.
  * OHCredentials: use stored authentication data if available to avoid login
    on CP.
  * Uprcl: use Waitress as WSGI server, instead of Paste.
  * Fix issue in Spotify access when started by root (at boot time).
  * Qobuz: allow longer playlists
  * Use the libupnpp 0.17.0 features. This makes us incompatible with 0.16.
  * Add the capability to run the Media Server in-process (as a separate root
    device). Needs a very recent libupnp.
  
 -- Jean-Francois Dockes <jf@dockes.org>  Tue, 15 Jan 2019 19:00:00 +0100

upmpdcli (1.3.2-2~ppaPPAVERS~stable1) stable; urgency=low

  * Fix minor bug in ohcredentials use
  * Package did not install OHCredentials.xml
  * Fix deps in control file
  *  -2: add forgotten radio_scripts directory to package
  
 -- Jean-Francois Dockes <jf@dockes.org>  Sun, 16 Sep 2018 11:24:00 +0200

upmpdcli (1.3.0-1~ppaPPAVERS~stable1) stable; urgency=low

  * Spotify support
  * Switch to Python3
  * OpenHome Credentials support (disable for use with Lumin by setting
    lumincompat=1). 
  
 -- Jean-Francois Dockes <jf@dockes.org>  Sat, 01 Sep 2018 10:06:00 +0200

upmpdcli (1.2.16-1~ppaPPAVERS~stable1) stable; urgency=low

  * Added the upmpdcli-config tool

 -- Jean-Francois Dockes <jf@dockes.org>  Fri, 07 Apr 2018 17:09:00 +0200

upmpdcli (1.2.15-2~ppaPPAVERS~stable1) stable; urgency=low

  * Depend on libupnpp4

 -- Jean-Francois Dockes <jf@dockes.org>  Wed, 21 Jun 2017 08:20:00 +0200

upmpdcli (1.2.15-1~ppaPPAVERS~stable1) stable; urgency=low

  * Faster Qobuz searches (less requests to the service)
  * Songcast: stop the inactive sender so that it does not show up in
    lists.
  * Radio dynamic metadata scripts for radio which provide metadata from
    the web site, instead of icy metadata.
  * Properly handle radios which redirect straight from http to mms.
  * AVTransport: accept metadata-less streams.

 -- Jean-Francois Dockes <jf@dockes.org>  Wed, 21 Jun 2017 08:20:00 +0200

upmpdcli (1.2.14-1) unstable; urgency=low

  * Make the Receiver source visible, allowing grouping from Kazoo
  
 -- Jean-Francois Dockes <jf@dockes.org>  Fri, 19 May 2017 10:29:00 +0100

upmpdcli (1.2.12-1) unstable; urgency=low

  * Fixed bugs in the content directory interface: prevented Linn Kazoo to
    see more than a few entries in each folder.
  
 -- Jean-Francois Dockes <jf@dockes.org>  Mon, 03 Jan 2017 08:18:00 +0100

upmpdcli (1.2.11-1) unstable; urgency=low

  * Improve Qobuz interface
  * Allow dynamic retrieval of artwork for radios currently playing track
  
 -- Jean-Francois Dockes <jf@dockes.org>  Mon, 26 Dec 2016 14:05:00 +0100

upmpdcli (1.2.10-3) unstable; urgency=low

  * Fix bad option in rules file
  
 -- Jean-Francois Dockes <jf@dockes.org>  Sat, 03 Dec 2016 17:43:00 +0100

upmpdcli (1.2.10-1) unstable; urgency=low

  * Improve streaming services searches
  * Fix bug in upnp/av mode (seek after gapless transition)
  
 -- Jean-Francois Dockes <jf@dockes.org>  Sun, 20 Nov 2016 10:11:00 +0100

upmpdcli (1.2.9-1) unstable; urgency=low

  * Fix bug in format of protocolinfo data
  
 -- Jean-Francois Dockes <jf@dockes.org>  Mon, 14 Oct 2016 12:56:00 +0200

upmpdcli (1.2.8-1) unstable; urgency=low

  * Small fix in qobuz module.
  
 -- Jean-Francois Dockes <jf@dockes.org>  Mon, 10 Oct 2016 11:20:00 +0200

upmpdcli (1.2.7-1) unstable; urgency=low

  * Raspbian wheezy compat tweak, tidal python module only
  
 -- Jean-Francois Dockes <jf@dockes.org>  Sun, 09 Oct 2016 18:30:00 +0200

upmpdcli (1.2.6-1) unstable; urgency=low

  * Small fixes, missing entries in protocolinfo etc.
  
 -- Jean-Francois Dockes <jf@dockes.org>  Sun, 09 Oct 2016 17:23:00 +0200

upmpdcli (1.2.5-1) unstable; urgency=low

  * Tidal repaired thanks to the Kodi addon developers !
  
 -- Jean-Francois Dockes <jf@dockes.org>  Mon, 03 Oct 2016 18:54:00 +0200

upmpdcli (1.2.4-1) unstable; urgency=low

  * Fix streaming service search (type was ignored)
  * Fix crash with absent config
  
 -- Jean-Francois Dockes <jf@dockes.org>  Mon, 03 Oct 2016 12:10:00 +0200

upmpdcli (1.2.3-1) unstable; urgency=low

  * Moved the streaming service plugins into separate packages
  * Improved Qobuz navigation.
  
 -- Jean-Francois Dockes <jf@dockes.org>  Sat, 24 Sep 2016 19:23:00 +0200

upmpdcli (1.2.2-1) unstable; urgency=low

  * Improved streaming service search
  
 -- Jean-Francois Dockes <jf@dockes.org>  Sat, 10 Sep 2016 19:43:00 +0200

upmpdcli (1.2.0-1) unstable; urgency=low

  * Streaming services
  
 -- Jean-Francois Dockes <jf@dockes.org>  Fri, 02 Sep 2016 14:44:00 +0200

upmpdcli (1.1.4~jessie-1) jessie; urgency=low

  * Misc small improvements. See Changelog.
  
 -- Jean-Francois Dockes <jf@dockes.org>  Thu, 23 Jun 2016 13:53:00 +0200

upmpdcli (1.1.3-1) unstable; urgency=low

  * Fix cover art display, which sometimes vanished.
  * Allow changing the xml data directory in the run time config.
  * Fix execution of onvolumechange (command could not have args).
  
 -- Jean-Francois Dockes <jf@dockes.org>  Fri, 17 Mar 2016 14:40:00 +0100

upmpdcli (1.1.1-1) unstable; urgency=low

  * Improve play state management when switching sources
  * Support external scripts for volume control
  * Avoid losing metadata (e.g. album art) when switching from Playlist to
    Radio and back
  
 -- Jean-Francois Dockes <jf@dockes.org>  Thu, 18 Feb 2016 18:03:00 +0100

upmpdcli (1.1.0-1) unstable; urgency=low

  * Add OpenHome Radio Source (play internet radios). Needs Python.
  * Add capability to forward ALSA input channel to Songcast (needs
    sc2mpd 0.14).
  * Fix Receiver detection from Windows Songcast
  
 -- Jean-Francois Dockes <jf@dockes.org>  Thu, 04 Feb 2016 19:05:00 +0100

upmpdcli (0.13.1-1) unstable; urgency=low

  * Turn off MPD "single" mode if it was set by some other app !
  * Add support for the new sc2mpd/mpd2sc Sender mode. This allows sharing
    the audio with multiple synchronized other upmpdcli/sc2mpd instances
    (multiroom) 
  * Fix random initial value for ohproduct standby variable
  * Fix eventing for ohproduct
  
 -- Jean-Francois Dockes <jf@dockes.org>  Wed, 23 Dec 2015 16:30:00 +0100

upmpdcli (0.12.0-1) unstable; urgency=low

  * Avoid error messages occurring when UPnP AV was suppressed (because
    eventing was still active) by using new libupnpp feature.
  * Bump version to help remember that this needs libupnpp 0.12

 -- Jean-Francois Dockes <jf@dockes.org>  Mon, 10 Aug 2015 08:47:00 +0200

upmpdcli (0.11.2-1) unstable; urgency=low

  * Add config parameter to allow turning off UPnP AV (keep OpenHome only).
    Helps Linn Kinsky a lot

 -- Jean-Francois Dockes <jf@dockes.org>  Wed, 06 May 2015 14:43:00 +0200

upmpdcli (0.11.0-2) unstable; urgency=low

  * Fixed scweb service install

 -- Jean-Francois Dockes <jf@dockes.org>  Wed, 06 May 2015 14:43:00 +0200

upmpdcli (0.11.0-1) unstable; urgency=low

  * ohreceiver service augmented to support sc2mpd in direct alsa mode
  * scctl command allows controlling Songcast receivers
  * Actually serve a presentation page.
  * Misc: see git log

 -- Jean-Francois Dockes <jf@dockes.org>  Wed, 06 May 2015 12:30:00 +0200

upmpdcli (0.9.1-1) unstable; urgency=low

  * ?
  * 

 -- Jean-Francois Dockes <jf@dockes.org>  Fri, 14 Nov 2014 17:53:00 +0200

upmpdcli (0.9.0-1) unstable; urgency=low

  * Support Songcast streaming (needs the sc2mpd program). See web site:
    http://www.lesbonscomptes.com/upmpdcli
  * Fixed quoting for tracks added from an MPD client.

 -- Jean-Francois Dockes <jf@dockes.org>  Wed, 12 Nov 2014 17:53:00 +0200

upmpdcli (0.8.6-1) unstable; urgency=low

  * Improved speed for loading big playqueues. 
  * Fixed quoting for tracks added from an MPD client.

 -- Jean-Francois Dockes <jf@dockes.org>  Thu, 31 Oct 2014 15:30:00 +0200

upmpdcli (0.8.5-1) unstable; urgency=low

  * Version bump for new packaging. No code changes

 -- Jean-Francois Dockes <jf@dockes.org>  Mon, 13 Oct 2014 18:41:00 +0200

upmpdcli (0.8.4-1) unstable; urgency=low

  * Separated libupnpp. 

 -- Jean-Francois Dockes <jf@dockes.org>  Sun, 12 Oct 2014 16:23:00 +0200

upmpdcli (0.8.3-1) unstable; urgency=low

  * libupnpp control: Use libcurl to perform the description document
    download. Previously, the bad timeout management in libupnp would allow
    a very slow or sick device to basically DOS the discovery process. This
    has no consequences for upmpdcli proper (only the control side of the
    lib), beyond introducing a libcurl dependancy, which mpd itself needs
    anyway (if it's going to accept urls).

 -- Jean-Francois Dockes <jf@dockes.org>  Thu, 09 Oct 2014 11:31:00 +0200

upmpdcli (0.8.2-1) unstable; urgency=low

  * Fix volume control on some renderers.
  * Allow setting an icon to be displayed by control point in renderer lists
  * Mix build fixes

 -- Jean-Francois Dockes <jf@dockes.org>  Tue, 07 Oct 2014 15:56:00 +0200

upmpdcli (0.8.1-1) unstable; urgency=low

  * Minor bug fixes and improvements.

 -- Jean-Francois Dockes <jf@dockes.org>  Mon, 18 Sep 2014 05:56:00 +0200

upmpdcli (0.8.0-1) unstable; urgency=low

  * Save queue metadata to disk for persistence across restarts. 
    Set ohmetapersist to 0 in configuration file to disable.

 -- Jean-Francois Dockes <jf@dockes.org>  Mon, 09 Jun 2014 08:56:00 +0200
upmpdcli (0.7.1-1) unstable; urgency=low

  * Add support for the OpenHome ohMedia services. Set openhome=1 in 
    configuration file to enable.

 -- Jean-Francois Dockes <jf@dockes.org>  Mon, 09 Jun 2014 08:56:00 +0200
upmpdcli (0.6.4-1) unstable; urgency=low

  * Configuration for UPnP interface and port, MPD password

 -- Jean-Francois Dockes <jf@dockes.org>  Sun, 20 Apr 2014 15:43:00 +0200
upmpdcli (0.6.3-1) unstable; urgency=low

  * Fix seeking

 -- Jean-Francois Dockes <jf@dockes.org>  Wed, 26 March 2014 21:58:00 +0100
upmpdcli (0.6.2-1) unstable; urgency=low

  * Retry libupnp until we get a network
  * Publish our aiff capability

 -- Jean-Francois Dockes <jf@dockes.org>  Sun, 02 March 2014 14:03:00 +0100
upmpdcli (0.6.1-1) unstable; urgency=low

  * Implemented minimal connection manager
  * Help for starting at boot: run as upmpdcli user after starting as root

 -- Jean-Francois Dockes <jf@dockes.org>  Tue, 25 Feb 2014 14:03:00 +0100
upmpdcli (0.5-1) unstable; urgency=low

  * Cache volume value when mpd is inactive.
  * Clear the MPD queue when we feel like it.

 -- Jean-Francois Dockes <jf@dockes.org>  Thu, 13 Feb 2014 18:54:00 +0100
upmpdcli (0.4-1) unstable; urgency=low

  * Adapt to off_t size in libupnp and availability of log/debug functions.
  * FriendlyName configuration parameter.

 -- Jean-Francois Dockes <jf@dockes.org>  Wed, 12 Feb 2014 10:07:13 +0100
upmpdcli (0.3-1) unstable; urgency=low

  * Removed DB volume interface, this was confusing some players

 -- Jean-Francois Dockes <jf@dockes.org>  Mon, 10 Feb 2014 14:09:20 +0100
upmpdcli (0.2-1) unstable; urgency=low

  * Improved event management. Moderate the load generated by sound volume changes

 -- Jean-Francois Dockes <jf@dockes.org>  Tue, 11 Feb 2014 11:20:00 +0100
upmpdcli (0.1-1) unstable; urgency=low

  * Initial release 

 -- Jean-Francois Dockes <jf@dockes.org>  Mon, 10 Feb 2014 15:37:33 +0100
